Subject: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Dani Moncayo <[email-masked]>
Date: Fri, 14 Sep 2012 21:17:56 +0200

>> > So, hereby I propose to fix this, i.e., to omit the "default " in
>> > those commands where this is currently shown.
>>
>> I find the "(default ...)" text to use up too much space for
>> my own taste, so I use the patch below to rewrite it on-the-fly
>> to "[...]".
>
> Just get rid of "(default ...)" altogether.  A user can use `M-n' to see the
> default value, and `M-n RET' instead of `RET' to choose it.  No big deal, and a
> lot less noise.

But some users may prefer to see the default value in the prompt.

> ---
>
> Or do as I do in Icicles: give users the choice, across all minibuffer prompts.
> They have an option, with these possible values:
>
> nil               - Do not insert default value
>                     or add it to prompt.
> t                 - Add default value to prompt
>                     (except for `read-file-name' and
>                     `read-from-minibuffer').
>                     Do not insert it.
> `insert-start'    - Insert default value
>                     and leave cursor at start.
> `insert-end'      - Insert default value
>                     and leave cursor at end.
> `preselect-start' - Insert and preselect default value;
>                     leave cursor at beginning.
> `preselect-end'   - Insert and preselect default value;
>                     leave cursor at end.
>

That looks like a good improvement, indeed.

> The default value of the option is `t' (mainly to be closer to what people are
> used to in vanilla Emacs).  But what I am suggesting for Emacs is the `nil'
> behavior as default: do nothing with the default value.  (Personally, I use
> `insert-end'.)

I'm not sure what would be the more suitable default value (whether
nil ot t), in any case, this is secondary, as anyone could customize
it.

-- 
Dani Moncayo